Bug 1637436 - The default Organization Admin role has double (Miscellaneous) filter
Summary: The default Organization Admin role has double (Miscellaneous) filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-09 09:26 UTC by Jitendra Yejare
Modified: 2019-09-26 13:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:12 UTC


Attachments (Terms of Use)
Failure_Screenshot_Twice_filter (142.18 KB, image/png)
2018-10-09 09:33 UTC, Jitendra Yejare
no flags Details
[Verification Screenshot] Single miscellaneous filter in Org Admin Role (153.27 KB, image/png)
2019-02-07 09:39 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC

Description Jitendra Yejare 2018-10-09 09:26:54 UTC
Description of problem:
The default Organization Admin filter has two (Miscellaneous) filters. The one filter is showing the list of permissions but the another one is not showing any permissions.

Version-Release number of selected component (if applicable):
Satellite 6.4 snap 25

How reproducible:
Always

Steps to Reproduce:
1. View default 'Organization Admin' filters in Administer -> Roles.

Actual results:
The default Organization Admin role has double (Miscellaneous) filter

Expected results:
The default Organization Admin role should have single (Miscellaneous) filter with permissions.

Additional info:
Interesting thing is, If I clone org admin role the duplicate (Miscellaneous) - without filters, is not cloned/shown.

Comment 1 Jitendra Yejare 2018-10-09 09:33:29 UTC
Created attachment 1492009 [details]
Failure_Screenshot_Twice_filter

Comment 3 Ondřej Pražák 2019-02-07 07:30:48 UTC
It seems like this is already fixed, I see only 1 (Miscellaneous) filter in 6.4.2 and 6.5 for Org admin. Could QE verify?

Comment 4 Jitendra Yejare 2019-02-07 09:37:57 UTC
Verified!

@Satellite 6.5 snap 14

Steps:
------------

Look for (miscellaneous) filter duplicated or not in 'Organization Admin' filters in Administer -> Roles


Observations(Expected):
---------------------------

miscellaneous) filter is not duplicated in 'Organization Admin' filters in Administer -> Roles. [Screenshot Attached]

Comment 5 Jitendra Yejare 2019-02-07 09:39:28 UTC
Created attachment 1527783 [details]
[Verification Screenshot] Single miscellaneous filter in Org Admin Role

Comment 9 errata-xmlrpc 2019-05-14 12:38:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.